Bug 995094 - ws security - java.lang.ClassNotFoundException: org.gatein.wsrp.examples.TestCallbackHandler when placing remote portlet on page
ws security - java.lang.ClassNotFoundException: org.gatein.wsrp.examples.Test...
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Portal (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: CR01
: 6.1.0
Assigned To: Matt Wringe
Dominik Pospisil
Depends On:
  Show dependency treegraph
Reported: 2013-08-08 10:21 EDT by vramik
Modified: 2013-11-04 20:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
ClassNotFoundException.log (118.16 KB, text/x-log)
2013-08-08 10:21 EDT, vramik
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker GTNPORTAL-3232 Major Resolved CNFE when WSS activated and accessing a wsrp portlet 2013-09-30 17:03:40 EDT

  None (edit)
Description vramik 2013-08-08 10:21:12 EDT
Created attachment 784411 [details]

Steps to Reproduce:
1. configure keystores using: http://git.app.eng.bos.redhat.com/?p=jbossqe/epp-tools.git;a=blob;f=config-tool/src/main/sh/gatein/wssec/generate_keystores.sh;h=3c60c2959e4d703cb9429aa5a242b076e8e26eb3;hb=a110cfa0503aefc0d7a2eba99897437c1a779408

2. rm -rf $PRODUCER/standalone/configuration/gatein/wsrp/cxf/ws-security/producer/*

3. unzip http://git.app.eng.bos.redhat.com/?p=jbossqe/epp-tools.git;a=blob_plain;f=config-tool/src/main/resources/wssec_resources/producer_encr_sign_username.zip;hb=a110cfa0503aefc0d7a2eba99897437c1a779408 to $PRODUCER/standalone/configuration/gatein/wsrp/cxf/ws-security/producer/

4. mv producer.jks to $PRODUCER/standalone/configuration/gatein/wsrp/cxf/ws-security/producer/

5. cp http://git.app.eng.bos.redhat.com/?p=jbossqe/epp-tools.git;a=blob_plain;f=config-tool/src/main/resources/wssec_resources/wsrp-wss-callback-example-2.2.10.Final.jar;hb=a110cfa0503aefc0d7a2eba99897437c1a779408 to $PRODUCER/gatein/extensions

6. rm -rf $CONSUMER/standalone/configuration/gatein/wsrp/cxf/ws-security/consumer/*

7. unzip http://git.app.eng.bos.redhat.com/?p=jbossqe/epp-tools.git;a=blob_plain;f=config-tool/src/main/resources/wssec_resources/consumer_encr_sign_username.zip;hb=a110cfa0503aefc0d7a2eba99897437c1a779408 to $CONSUMER/standalone/configuration/gatein/wsrp/cxf/ws-security/consumer/

8. mv consumer.jks to $PRODUCER/standalone/configuration/gatein/wsrp/cxf/ws-security/consumer/

9. cp http://git.app.eng.bos.redhat.com/?p=jbossqe/epp-tools.git;a=blob_plain;f=config-tool/src/main/resources/wssec_resources/wsrp-wss-callback-example-2.2.10.Final.jar;hb=a110cfa0503aefc0d7a2eba99897437c1a779408 to $CONSUMER/gatein/extensions

10. deploy ant remoteable portlet to producer 

11. start producer and consumer (I use different set of ports: -Djboss.socket.binding.port-offset=100)

12. open consumer, sign in, go to WSRP admin portlet

13. register consumer with WS-Security checkbox checked

14. go to Application Registry and import applications

15. go to Edit Page and add the remote portlet to page

16. click finish 

Actual results:
Exceptions in log (attached) and the portlet says: This portlet encountered an error and could not be displayed
Comment 2 Matt Wringe 2013-08-08 12:02:15 EDT
How is this different from BZ-975482, which was closed as verified right before this issue was opened? I assume you can now register the consumer, but the error now occurs when the portlet is added to the page?
Comment 3 vramik 2013-08-09 09:11:16 EDT
(In reply to Matt Wringe from comment #2)
> I assume you can now register the consumer,
> but the error now occurs when the portlet is added to the page?

Yes, that's right.
Comment 4 Boleslaw Dawidowicz 2013-09-12 08:27:20 EDT
Aimed for 6.1.1
Comment 5 vramik 2013-09-30 17:05:16 EDT
Verified in CR03

Note You need to log in before you can comment on or make changes to this bug.